Bug 2217032 - Review Request: rust-sval_ref - Variant of sval::Value for types with internal references
Summary: Review Request: rust-sval_ref - Variant of sval::Value for types with interna...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/sval_ref
Whiteboard:
Depends On: 2217030
Blocks: 2217037 2217056
TreeView+ depends on / blocked
 
Reported: 2023-06-23 16:19 UTC by Fabio Valentini
Modified: 2023-07-17 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-17 22:19:42 UTC
Type: ---
Embargoed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2023-06-23 16:19:04 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-sval_ref.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-sval_ref-2.6.0-1.fc38.src.rpm

Description:
A variant of sval::Value for types with internal references.

Fedora Account System Username: decathorpe

Comment 1 Fabio Valentini 2023-06-23 16:20:14 UTC
This depends on: https://bugzilla.redhat.com/show_bug.cgi?id=2181433
But builds can only be pushed together with all sval 2.6.0 / value-bag 1.4.0 updates to avoid broken dependencies and / or creating unnecessary compat packages.
A COPR build is available here: https://copr.fedorainfracloud.org/coprs/decathorpe/log-0.4.19-sval-v2/build/6108326/

Comment 2 Fabio Valentini 2023-07-17 09:05:34 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-sval_fmt.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-sval_fmt-2.6.1-1.fc38.src.rpm

Updated to version 2.6.1.

Comment 3 Jerry James 2023-07-17 18:51:34 UTC
I will take this review.

Comment 4 Jerry James 2023-07-17 19:55:04 UTC
The bug summary refers to rust-sval_ref, but the URLs are for rust-sval_fmt.  Which one is correct?

Comment 5 Fabio Valentini 2023-07-17 19:56:48 UTC
Oof, that was a copypasta error when I updated all the URLs for the 2.6.1 version updates I uploaded today.

Spec URL: https://decathorpe.fedorapeople.org/rust-sval_ref.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-sval_ref-2.6.1-1.fc38.src.rpm

Should be correct now.

Comment 6 Jerry James 2023-07-17 19:57:44 UTC
Okay, I'll run that through again then. :-)

Comment 7 Fedora Review Service 2023-07-17 20:02:19 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6179688
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2217032-rust-sval_ref/fedora-rawhide-x86_64/06179688-rust-sval_ref/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 8 Jerry James 2023-07-17 21:50:35 UTC
This package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/cargo/registry/sval_ref-2.6.1/LICENSE-APACHE
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "MIT License". 6 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/cargo/registry, /usr/share/cargo
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-sval_ref-devel-2.6.1-1.fc39.noarch.rpm
          rust-sval_ref+default-devel-2.6.1-1.fc39.noarch.rpm
          rust-sval_ref+alloc-devel-2.6.1-1.fc39.noarch.rpm
          rust-sval_ref+std-devel-2.6.1-1.fc39.noarch.rpm
          rust-sval_ref-2.6.1-1.fc39.src.rpm
================================================ rpmlint session starts ================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpx_hppiio')]
checks: 31, packages: 5

rust-sval_ref+alloc-devel.noarch: W: no-documentation
rust-sval_ref+default-devel.noarch: W: no-documentation
rust-sval_ref+std-devel.noarch: W: no-documentation
================= 5 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.1 s =================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

rust-sval_ref+std-devel.noarch: W: no-documentation
rust-sval_ref+default-devel.noarch: W: no-documentation
rust-sval_ref+alloc-devel.noarch: W: no-documentation
 4 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://crates.io/api/v1/crates/sval_ref/2.6.1/download#/sval_ref-2.6.1.crate :
  CHECKSUM(SHA256) this package     : 703ca1942a984bd0d9b5a4c0a65ab8b4b794038d080af4eb303c71bc6bf22d7c
  CHECKSUM(SHA256) upstream package : 703ca1942a984bd0d9b5a4c0a65ab8b4b794038d080af4eb303c71bc6bf22d7c


Requires
--------
rust-sval_ref-devel (rpmlib, GLIBC filtered):
    (crate(sval/default) >= 2.6.1 with crate(sval/default) < 3.0.0~)
    cargo

rust-sval_ref+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(sval_ref)

rust-sval_ref+alloc-devel (rpmlib, GLIBC filtered):
    (crate(sval/alloc) >= 2.6.1 with crate(sval/alloc) < 3.0.0~)
    cargo
    crate(sval_ref)

rust-sval_ref+std-devel (rpmlib, GLIBC filtered):
    (crate(sval/std) >= 2.6.1 with crate(sval/std) < 3.0.0~)
    cargo
    crate(sval_ref)
    crate(sval_ref/alloc)



Provides
--------
rust-sval_ref-devel:
    crate(sval_ref)
    rust-sval_ref-devel

rust-sval_ref+default-devel:
    crate(sval_ref/default)
    rust-sval_ref+default-devel

rust-sval_ref+alloc-devel:
    crate(sval_ref/alloc)
    rust-sval_ref+alloc-devel

rust-sval_ref+std-devel:
    crate(sval_ref/std)
    rust-sval_ref+std-devel



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2217032 -m f39-build-side-69808
Buildroot used: f39-build-side-69808-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ruby, Ocaml, Perl, R, SugarActivity, Haskell, fonts, C/C++, Python, PHP, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 9 Fabio Valentini 2023-07-17 21:55:54 UTC
Thanks for the review!

Comment 10 Fedora Admin user for bugzilla script actions 2023-07-17 21:56:25 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-sval_ref

Comment 11 Fabio Valentini 2023-07-17 22:19:42 UTC
Imported and built in f39-build-side-69808:
https://koji.fedoraproject.org/koji/buildinfo?buildID=2234243


Note You need to log in before you can comment on or make changes to this bug.